%define upstream_name    MooseX-AlwaysCoerce
%define upstream_version 0.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Automatically enable coercions for Moose attributes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::ClassAttribute) >= 0.240.0
BuildRequires: perl(Package::Stash) >= 0.260.0
BuildRequires: perl(Test::CheckDeps) >= 0.2.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::NoWarnings) >= 1.40.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(namespace::autoclean) >= 0.120.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Have you ever spent an hour or more trying to figure out "WTF, why did my
coercion not run?" only to find out that you forgot 'coerce => 1' ?

Just load this module in your the Moose manpage class and 'coerce => 1'
will be enabled for every attribute and class attribute automatically.

Use 'coerce => 0' to disable a coercion explicitly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.200.0-2.mga4
+ Revision: 537341
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.200.0-1.mga4
+ Revision: 486847
- update to 0.20

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 370131
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.180.0-1.mga3
+ Revision: 306178
- update to 0.18

* Mon Jun 27 2011 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 114595
- imported package perl-MooseX-AlwaysCoerce


* Mon Jun 27 2011 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
